Bug 1032234 - Access Control Provider warning message improvements
Access Control Provider warning message improvements
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER9
: EAP 6.3.0
Assigned To: Harald Pehl
Jakub Cechacek
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 13:35 EST by Catherine Robson
Modified: 2015-02-01 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 10:36:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Catherine Robson 2013-11-19 13:35:04 EST
Description of problem:
When the user navigates to the Administration section of the admin console when RBAC has not been enabled, they receive the following warning modal:
https://www.evernote.com/shard/s230/sh/153623dc-579f-49b0-b887-f9c09821148d/94c5eec5e3a5d3b4c8e9a4584a3264af

This modal does not provide enough description for the user to understand what action they need to take in order to fix the problem and enable role based access controls.

Version-Release number of selected component (if applicable):
6.0.2.ER5.2-Beta


How reproducible:
Reproducible


Steps to Reproduce:
1. Enter admin console with RBAC disabled (it is by default)
2. Navigate to Administration
---
Modal is displayed.



Suggested updated text:
This system is currently configured to use simple access controls, which will not utilize changes made in this section for roles. In order to utilize role mappings that you configure in this section, you will need to enable role based access controls from the Command Line Interface(CLI) using the following command:
/core-service=management/access=authorization:write-attribute(name=provider,value=rbac)
Comment 1 Harald Pehl 2013-11-19 17:08:21 EST
Fixed in upstream
Comment 2 Martin Velas 2014-07-10 03:30:48 EDT
Both information provided by console and CLI command were verified for EAP 6.3.0.ER9.

Note You need to log in before you can comment on or make changes to this bug.